rpmkeyring.h File Reference
RPM keyring API.

RPM keyring API. More...

`#include <rpm/rpmtypes.h>`
`#include <rpm/rpmpgp.h>`
Include dependency graph for rpmkeyring.h:

Go to the source code of this file.

## Functions

rpmKeyring | rpmKeyringNew (void)
| Create a new, empty keyring. More...
rpmKeyring | rpmKeyringFree (rpmKeyring keyring)
| Free keyring and the keys within it. More...
int | rpmKeyringAddKey (rpmKeyring keyring, rpmPubkey key)
| Add a public key to keyring. More...
rpmRC | rpmKeyringLookup (rpmKeyring keyring, pgpDig sig)
| Perform keyring lookup for a key matching a signature. More...
rpmRC | rpmKeyringVerifySig (rpmKeyring keyring, pgpDigParams sig, DIGEST_CTX ctx)
| Perform combined keyring lookup and signature verification. More...
rpmKeyring | rpmKeyringLink (rpmKeyring keyring)
| Reference a keyring. More...
rpmPubkey | rpmPubkeyNew (const uint8_t *pkt, size_t pktlen)
| Create a new rpmPubkey from OpenPGP packet. More...
rpmPubkey * | rpmGetSubkeys (rpmPubkey mainkey, int *count)
| Return array of subkeys belonging to maikey param mainkey main rpmPubkey param count count of returned subkeys. More...
rpmPubkey | rpmPubkeyRead (const char *filename)
| Create a new rpmPubkey from ASCII-armored pubkey file. More...
rpmPubkey | rpmPubkeyFree (rpmPubkey key)
| Free a pubkey. More...
rpmPubkey | rpmPubkeyLink (rpmPubkey key)
| Reference a pubkey. More...
pgpDig | rpmPubkeyDig (rpmPubkey key)
| Parse OpenPGP pubkey parameters. More...
char * | rpmPubkeyBase64 (rpmPubkey key)
| Return base64 encoding of pubkey. More...
pgpDigParams | rpmPubkeyPgpDigParams (rpmPubkey key)
| Return pgp params of key. More...

## Detailed Description

RPM keyring API.

Definition in file rpmkeyring.h.